+ Reply
Results 1 to 4 of 4

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Need help upgrading iOS 4.0.1 iPhone 4!

is a discussion within the

General

forums, a part of the

Jailbreak / Downgrading / Upgrading

section;
I've gotten tired of not being able to download new apps (as they require iOS 5+), so recently I've been trying to update my iPhone 4 (iOS 4.0.1). I have
...
  1. #1
    What's Jailbreak?
    Join Date
    Nov 2013
    Posts
    2
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Default Need help upgrading iOS 4.0.1 iPhone 4!
    I've gotten tired of not being able to download new apps (as they require iOS 5+), so recently I've been trying to update my iPhone 4 (iOS 4.0.1). I have SHSH blobs up to iOS 5.1.1b (particularly 5.0.1, 5.1.1, and 5.1.1b), and I've tried stitching them to clean .ispw's with redsn0w and sn0wbreeze but to no avail. My process so far has been:

    1. Retrieve SHSH with TinyUmbrella
    2. Stitch SHSH's to respective clean .ispw's
    3. With the assistance of redsn0w, put iPhone in Pwned DFU mode
    4. Remove gs.apple.com from both host and host.umbrella files
    5. Start TSS server on TinyUmbrella (otherwise, I get error 11 or 3194)
    6. Shift+click restore with iTunes 11.0.5
    7. Then after going a bit further than normal (with TinyUmbrella), I get error 4014.

    What am I doing wrong? Or rather what can I do to upgrade to iOS 5+ (jailbroken)?

  2. #2
    Super Galactic Moderator Orby's Avatar
    Join Date
    Aug 2010
    Location
    Omicron Persei Eight
    Posts
    5,697
    Thanks
    40
    Thanked 575 Times in 525 Posts

    Error 4014? That's a new one. I've heard of 3014, but not 4014...

    If you've stitched the firmware with redsn0w, you won't need TinyUmbrella's TSS Server running--iTunes should just use what's been stitched. The only two things I can think of are either your SHSH blobs are somehow corrupt (quite unusual for iOS 5.x firmwares if you're using the same device), or you're using the wrong version of iOS 5.1.1 (the build you want is 9B208, not 9B206).

  3. #3
    What's Jailbreak?
    Join Date
    Nov 2013
    Posts
    2
    Thanks
    0
    Thanked 0 Times in 0 Posts

    I have two blobs:
    2226236958092-iphone3,1-5.1.1 and 2226236958092-iphone3,1-5.1.1b

    Which one would I stitch to the 9B208 build?

    EDIT: So it turns out that I stitched the blobs to the correct firmwares (as redsn0w only stitches if it's the 5.1.1b blob to the 9B208 build). iTunes returns a 3194 error when I try shift+click restoring.
    Last edited by voxelation; 11-23-2013 at 04:59 PM.

  4. #4
    Super Galactic Moderator Orby's Avatar
    Join Date
    Aug 2010
    Location
    Omicron Persei Eight
    Posts
    5,697
    Thanks
    40
    Thanked 575 Times in 525 Posts

    Quote Originally Posted by voxelation View Post
    I have two blobs:
    2226236958092-iphone3,1-5.1.1 and 2226236958092-iphone3,1-5.1.1b

    Which one would I stitch to the 9B208 build?

    EDIT: So it turns out that I stitched the blobs to the correct firmwares (as redsn0w only stitches if it's the 5.1.1b blob to the 9B208 build). iTunes returns a 3194 error when I try shift+click restoring.
    Are you using iTunes 11.1 or newer? If so, I'm afraid you'll have to roll back to iTunes 11.0.5 from oldapps.com. Uninstall iTunes, reboot, install the older version, and try the pwned DFU + Shift-click restore again. Once restored successfully, you can safely update iTunes again.

LinkBacks (?)


Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts